Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class ListFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ListFactory

    class ListFactory
    extends AbstractFactory

Create a JList, and handle the optional items attribute.

Authors:
  HuberB1

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.